> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dakota.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Investment Strategy API

> This endpoint requires an Oauth-Token obtained from /oauth2

## How to Use

1. **Copy** any of the JSON examples below.
2. **Go to the API playground** by clicking on the **"Try it"** button.
3. **Paste** the JSON into the request body field.
4. **Click "Send"** button to execute the request.

## Examples

### Count Investment Strategy Records

```json theme={null}
{
  "module": "investment_strategy__c",
  "count_only": true
}
```

### List All Investment Strategy Records

```json theme={null}
{
  "module": "investment_strategy__c"
}
```

### List Investment Strategy Records with Specific Fields

```json theme={null}
{
  "module": "investment_strategy__c",
  "filters": {
    "fields": [
      "sfid",
      "name",
      "account__c",
      "asset_class_picklist__c",
      "sub_asset_class__c",
      "fund_type__c",
      "fundraising_status__c",
      "investment_strategy_verified__c",
      "createddate",
      "lastmodifieddate"
    ],
    "order_by": "lastmodifieddate:DESC",
    "max_num": "10"
  }
}
```

### Filter by Account

```json theme={null}
{
  "module": "investment_strategy__c",
  "filters": {
    "filter": [
      {
        "account__c": {
          "$equals": "0013m000027iAySAAU"
        }
      }
    ]
  }
}
```

### Filter by Asset Class and Sub Asset Class

```json theme={null}
{
  "module": "investment_strategy__c",
  "filters": {
    "filter": [
      {
        "asset_class_picklist__c": {
          "$equals": "Private Equity"
        }
      },
      {
        "sub_asset_class__c": {
          "$equals": "Co-Investment Private Equity"
        }
      }
    ],
    "fields": ["sfid", "name", "asset_class_picklist__c", "sub_asset_class__c", "fundraising_status__c"]
  }
}
```

### Filter by Fundraising Status

```json theme={null}
{
  "module": "investment_strategy__c",
  "filters": {
    "filter": [
      {
        "fundraising_status__c": {
          "$equals": "Open"
        }
      }
    ]
  }
}
```

### Filter by Name

```json theme={null}
{
  "module": "investment_strategy__c",
  "filters": {
    "filter": [
      {
        "name": {
          "$contains": "Co-Invest"
        }
      }
    ]
  }
}
```


## OpenAPI

````yaml POST /index.php/api/dakota
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://marketplace-as-a-service.herokuapp.com
security: []
paths:
  /index.php/api/dakota:
    post:
      description: This endpoint requires an Oauth-Token obtained from /oauth2
      requestBody:
        required: true
        content:
          text/plain:
            schema:
              type: string
              description: >-
                Copy any of the JSON examples and paste it into the request body
                field.
            example: <JSON example>
      security:
        - authToken: []
components:
  securitySchemes:
    authToken:
      type: apiKey
      in: header
      name: Oauth-Token
      description: >-
        Get the OAuth token by calling the /oauth2 authentication API. Use the
        access_token from the response to authorize your API requests.

````